Name:           surl
Version:        0.7.1.1
Release:        8%{?dist}
Summary:        A URL shortening command line tool

License:        GPLv3+
URL:            https://launchpad.net/surl
Source0:        http://launchpad.net/surl/trunk/0.7.1/+download/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
surl is a URL shortening command line application that supports
various sites. It supports stdin or filename input. It grabs the
URLs, converts them, and returns the same text that was used in
the input. It is known to work with a wealth of services, such as
bit.ly, tinyurl.com and tr.im.

The currently supported sites are a.gd, bit.ly, burnurl.com, cli.gs,
decenturl.com, digg.com, is.gd, kl.am, liip.to, metamark.net, sn.im,
snipr.com, snipurl.com, snurl.com, tinyurl.com, tr.im, turl.ca, ur.ly,
and zz.gd.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py build install -O1 --skip-build --root=%{buildroot}
sed -i -e '/^#!\//, 1d' %{buildroot}%{python_sitelib}/%{name}/surl.py

%files
%doc AUTHORS LICENSE
%{_mandir}/man*/*.*
%{_bindir}/%{name}
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}*.egg-info

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.1.1-4
- Spec file updated

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 13 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.1.1-1
- Updated to new upstream version 0.7.1.1

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Dec 21 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.0-1
- Updated to new upstream version 0.7.0

* Sat Dec 05 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.1-1
- Changed source url
- Updated to new upstream version 0.6.1

* Tue Aug 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.5.4-2
- Use bzipped upstream tarball.

* Tue Jul 26 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.4-1
- Updated to new upstream version 0.5.4

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.3-1
- Updated to new upstream version

* Fri Jul 17 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.1-3
- Added PKG-INFO to doc

* Fri Jul 17 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.1-2
- Added the removing of the shebang

* Thu Jul 16 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.1-1
- Initial package for Fedora
